﻿#include "Enemy.hpp"

#include <ctgmath>

Enemy::Enemy(sf::Vector2f position) : rectangle(sf::Vector2f{100, 100})
{
	rectangle.move(position);
	rectangle.setFillColor(sf::Color::Red);
}

void Enemy::look_at(sf::Vector2f target)
{
	float dx = target.x - rectangle.getPosition().x;
	float dy = target.y - rectangle.getPosition().y;

	float angle = atan2(dy, dx);
	rectangle.setRotation(sf::degrees(angle));
}

void Enemy::draw(sf::RenderTarget& target, const sf::RenderStates states) const
{
	target.draw(rectangle, states);
}